Subject: bug#19481: package.el: support .tar archives featuring a pax_global_header entry

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Aug 2020 15:42:04 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I think this was fixed in a different way in 2016 by Noam:

[...]

> So tar-mode displays these headers like this:
>
>  Hrw-rw-rw-    root/root         52 pax_global_header
>  drwxrwxr-x    root/root          0 pax-test/
>  -rw-rw-r--    root/root          5 pax-test/foo
>
> Which isn't unreasonable...
>
> For reference, I've included a tar file that has one of these headers
> here.
>
> So is this still something that should be applied?  If I read Ivan's
> patch correctly, it will make tar-mode just ignore those pax headers,
> which seems a bit heavy-handed...

There was no response to this, so I'm closing this bug report.  If
there is more to be fixed in this area, please respond and we'll reopen
the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no